{"id":18061,"date":"2018-08-24T12:08:39","date_gmt":"2018-08-24T12:08:39","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15194"},"modified":"2021-03-25T07:35:28","modified_gmt":"2021-03-25T07:35:28","slug":"bot-variables-import","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/bot-variables-import\/","title":{"rendered":"Bot Variables Import API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Imports global and content variables into the bot.<\/p>\n<p class=\"note\">To use this API, app needs the Bot Builder API scope of <em>Import Variables<\/em>.<\/p>\n<p><strong>POST<\/strong> <i><code>https:\/\/{{host}}\/api\/{{version}}\/public\/builder\/stream\/{{BotID}}\/variables\/import<\/code><\/i><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Bot ID. You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>key<\/td>\n<td>Name of the Variable<\/td>\n<\/tr>\n<tr>\n<td>value<\/td>\n<td>Value for the variable<\/td>\n<\/tr>\n<tr>\n<td>hint<\/td>\n<td>Description of the variable<\/td>\n<\/tr>\n<tr>\n<td>variableType<\/td>\n<td>Type of variable can be<\/p>\n<ul>\n<li><strong>env<\/strong> for global variable or<\/li>\n<li><strong>locale<\/strong> for content variable<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td>scope<\/td>\n<td>Scope of the variable corresponds to the Setup Option at the time of variable declaration and can be<\/p>\n<ul>\n<li>prePopulated,<\/li>\n<li>askOnInstall, or<\/li>\n<li>hidden<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td>localeData<\/td>\n<td>For variables of type locale, additional language data needs to be passed in the following format for each language:<\/p>\n<pre>{\r\n      \"en\": {\r\n        \"value\": \"english language prompt\",\r\n        \"hint\": \"\"\r\n      }\r\n    }<\/pre>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/JSON<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X POST \\\r\n  https:\/\/{{host}}\/api\/1.1\/public\/builder\/stream\/{{BotId}}\/variables\/import \\\r\n  -H 'Content-Type: application\/json' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n  -d '[\r\n  {\r\n    \"key\": \"Global\",\r\n    \"value\": \"Globalkey-prePopulated\",\r\n    \"hint\": \"\",\r\n    \"variableType\": \"env\",\r\n    \"scope\": \"prePopulated\"\r\n  },\r\n\t{\r\n    \"key\": \"Lang\",\r\n    \"variableType\": \"locale\",\r\n    \"scope\": \"prePopulated\",\r\n    \"localeData\": {\r\n      \"en\": {\r\n        \"value\": \"english language prompt\",\r\n        \"hint\": \"\"\r\n      }\r\n    }\r\n  }\r\n]'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n  \"message\": \"2 Variables imported\/updated successfully.\"\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Imports global and content variables into the bot. To use this API, app needs the Bot Builder API scope of Import Variables. POST https:\/\/{{host}}\/api\/{{version}}\/public\/builder\/stream\/{{BotID}}\/variables\/import Query Parameters Parameter Description host Environment URL, for example, https:\/\/bots.kore.ai BotID Bot ID. You can access it from the General Settings page of the bot. Body Parameters Parameter Description key Name...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18061","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18061","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18061"}],"version-history":[{"count":7,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18061\/revisions"}],"predecessor-version":[{"id":26893,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18061\/revisions\/26893"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18061"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18061"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18061"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}